### Method

# Gtk TreeModelget

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_model_get (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      ...
    )

#### Description [src]

Gets the value of one or more cells in the row referenced by `iter`.

The variable argument list should contain integer column numbers, each column number followed by a place to store the value being retrieved. The list is terminated by a -1. For example, to get a value from column 0 with type `G_TYPE_STRING`, you would write: `gtk_tree_model_get (model, iter, 0, &place_string_here, -1)`, where `place_string_here` is a #gchararray to be filled with the string.

Returned values with type `G_TYPE_OBJECT` have to be unreferenced, values with type `G_TYPE_STRING` or `G_TYPE_BOXED` have to be freed. Other values are passed by value.

Deprecated since: 4.10

Please do not use it in newly written code.

This method is not directly available to language bindings.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  A row in `tree_model`.

  The data is owned by the caller of the method.

`...`

  Type: ``

  Pairs of column number and value return locations, terminated by -1